org.keycloak.authentication.actiontoken.verifyemail

## Class VerifyEmailActionToken

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.authentication.actiontoken.DefaultActionTokenKey
    - - org.keycloak.authentication.actiontoken.DefaultActionToken
      - - org.keycloak.authentication.actiontoken.verifyemail.VerifyEmailActionToken

- All Implemented Interfaces:
    Serializable, ActionTokenKeyModel, ActionTokenValueModel, Token

      public class VerifyEmailActionToken
      extends DefaultActionToken

  Representation of a token that represents a time-limited verify e-mail action.
  Author:
    hmlnarik
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TOKEN_TYPE`

    - ### Fields inherited from class org.keycloak.authentication.actiontoken.DefaultActionToken

      `ACTION_TOKEN_BASIC_CHECKS, JSON_FIELD_AUTHENTICATION_SESSION_ID, JSON_FIELD_EMAIL`

    - ### Fields inherited from class org.keycloak.authentication.actiontoken.DefaultActionTokenKey

      `ACTION_TOKEN_USER_ID, JSON_FIELD_ACTION_VERIFICATION_NONCE`

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, exp, iat, id, issuedFor, issuer, nbf, otherClaims, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyEmailActionToken(String userId, int absoluteExpirationInSecs, String compoundAuthenticationSessionId, String email, String clientId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCompoundOriginalAuthenticationSessionId()`
    `void` | `setCompoundOriginalAuthenticationSessionId(String originalAuthenticationSessionId)`

    - ### Methods inherited from class org.keycloak.authentication.actiontoken.DefaultActionToken

      `getCompoundAuthenticationSessionId, getEmail, getNote, getNotes, removeNote, serialize, setCompoundAuthenticationSessionId, setEmail, setNote`

    - ### Methods inherited from class org.keycloak.authentication.actiontoken.DefaultActionTokenKey

      `from, getActionId, getActionVerificationNonce, getUserId`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `addAudience, audience, exp, expiration, getAudience, getCategory, getExp, getExpiration, getIat, getId, getIssuedAt, getIssuedFor, getIssuer, getNbf, getNotBefore, getOtherClaims, getSubject, getType, hasAnyAudience, hasAudience, iat, id, isActive, isActive, isExpired, isIssuedBeforeSessionStart, isNotBefore, issuedAt, issuedFor, issuedNow, issuer, nbf, notBefore, setOtherClaims, setSubject, subject, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.ActionTokenKeyModel

      `getExpiration, serializeKey`

- - ### Field Detail

    - #### TOKEN_TYPE

          public static final String TOKEN_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VerifyEmailActionToken

          public VerifyEmailActionToken(String userId,
                                        int absoluteExpirationInSecs,
                                        String compoundAuthenticationSessionId,
                                        String email,
                                        String clientId)

  - ### Method Detail

    - #### getCompoundOriginalAuthenticationSessionId

          public String getCompoundOriginalAuthenticationSessionId()

    - #### setCompoundOriginalAuthenticationSessionId

          public void setCompoundOriginalAuthenticationSessionId(String originalAuthenticationSessionId)

Copyright © 2021 JBoss by Red Hat. All rights reserved.